DELETE
https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/backlog
Deletes the backlog positions listed in backlog_ids from an arbitrage bot.
OAuth scope:
read manage About scopes
backlog_ids is required; this endpoint does not delete the whole backlog. Returns an error when only some or none of the positions could be deleted.
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"backlog_ids":[1370001,1370002]}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"backlog_ids": [
1370001,
1370002
]
})
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"backlog_ids": [
1370001,
1370002
]
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'backlog_ids' => [
1370001,
1370002,
],
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of an arbitrage bot. |
Response
{
"data": "Backlog(s) removed."
}